<?php
/**
 * This file implements the Cutom Disp plugin.
 */
if( !defined('EVO_MAIN_INIT') ) die( 'Please, do not access this page directly.' );


/**
 * Custom Disp Plugin
 *
 * This plugin provides an structure to create as many disp files as the users need to.
 *
 * @package plugins
 */
class customdisp_plugin extends Plugin
{
	/**
	 * Variables below MUST be overriden by plugin implementations,
	 * either in the subclass declaration or in the subclass constructor.
	 */
	var $name = 'Custom Disp';
	var $code = 'evo_customdisp';
	var $priority = 50;
	var $version = '5.0.0';
	var $author = 'The b2evo Group';
	var $help_url = '';  // empty URL defaults to manual wiki

	/*
	 * These variables MAY be overriden.
	 */
	var $number_of_installs = 1;
	var $group = 'test';


	/**
	 * Init
	 *
	 * This gets called after a plugin has been registered/instantiated.
	 */
	function PluginInit( & $params )
	{
		$this->short_desc = 'Custom Disp plugin';
		$this->long_desc = 'This plugin provides an structure to create as many disp files as the users need to.';
	}

	/**
	 * Return list of custom disp types handled by this plugin
	 *
	 * @return array list of disp modes handled by this plugin
	 */
	function GetHandledDispModes()
	{
		return array(
				'disp_test', // display our test disp
			);
	}
}

?>